import 'package:flutter_app/main.dart' as app;
import 'package:flutter_app/utils/keys.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:integration_test/integration_test.dart';

import 'test_helper.dart';

void main() {
  IntegrationTestWidgetsFlutterBinding.ensureInitialized();

  group("Add Labels", () {
    testWidgets('Test Add Label screen display on click of Add Label button',
        (WidgetTester tester) async {
      app.main();
      await tester.pumpAndSettle();

      await tester.tapAndSettle(SideDrawerKeys.DRAWER);

      await tester.tapAndSettle(SideDrawerKeys.DRAWER_LABELS);

      await tester.tapAndSettle(SideDrawerKeys.ADD_LABEL);

      expect(find.text("Add Label"), findsOneWidget);
    });

    testWidgets('Enter Label Details and verify on Side drawer screen',
        (WidgetTester tester) async {
      app.main();
      await tester.pumpAndSettle();

      await tester.tapAndSettle(SideDrawerKeys.DRAWER);

      await tester.tapAndSettle(SideDrawerKeys.DRAWER_LABELS);

      await tester.tapAndSettle(SideDrawerKeys.ADD_LABEL);

      var addLabelNameField =
          find.byValueKey(AddLabelKeys.TEXT_FORM_LABEL_NAME);

      await tester.enterText(addLabelNameField, "Android");
      await tester.pumpAndSettle();

      await tester.tapAndSettle(AddLabelKeys.ADD_LABEL_BUTTON);

      await tester.tapAndSettle(SideDrawerKeys.DRAWER);

      await tester.tapAndSettle(SideDrawerKeys.DRAWER_LABELS);

      expect(find.text("@ Android"), findsOneWidget);
      //TODO Match the Label color as well
    });
  });
}
